﻿using EntityFrameworkPostgresDocker.Data;
using Microsoft.EntityFrameworkCore;

SalesContext salesContext = new SalesContext(new DbContextOptionsBuilder<SalesContext>()
    .UseNpgsql("Host=localhost;Port=5432;Database=salesdb;Username=postgres;Password=postgres").Options);

salesContext.Database.EnsureDeleted();
salesContext.Database.EnsureCreated();
await salesContext.SeedAsync().ConfigureAwait(false);

var products = salesContext.Products.ToList();

foreach (var product in products)
{
    Console.WriteLine(product);
}